NX Open C++ Reference Guide
|
Tooling builder to assign and edit attributes of objects <br> To create a new instance of this class, use @link Tooling::ObjectAttributeManagementCollection::CreateObjectAttributeManagementBuilder Tooling::ObjectAttributeManagementCollection::CreateObjectAttributeManagementBuilder @endlink <br>
Default values. More...
Public Types | |
enum | FilterAccordingToAttributeType { FilterAccordingToAttributeTypeComponent, FilterAccordingToAttributeTypeSolidBody, FilterAccordingToAttributeTypeFace } |
the selection filter type according to attribute More... | |
enum | FilterType { FilterTypeComponent, FilterTypeSolidBody, FilterTypeFace } |
the selection filter type More... | |
enum | ShowComponentsType { ShowComponentsTypeShowAllComponents, ShowComponentsTypeOnlyShowComponentsWithAttribute, ShowComponentsTypeHideComponentsWithAttribute } |
the show type according to attribute More... | |
enum | ShowType { ShowTypeShowAttributeOfSelectedObject, ShowTypeShowObjectAccordingToAttribute } |
show attributes of selected objects or show objects according to attribute More... | |
Public Member Functions | |
void | AddFromDataFileAttributeList () |
The action to add selected attributes from attributes spreadsheet Created in NX9.0.0. | |
bool | AttributeOfRootPart () |
Returns the option whether to show attributes of root part Created in NX9.0.0. | |
NXString | AttributeTitles () |
Returns the attribute titles Created in NX9.0.0. | |
NXString | AttributeValues () |
Returns the attribute values Created in NX9.0.0. | |
void | CopyAttribute () |
The action to copy selected attributes Created in NX9.0.0. | |
void | DeleteAttribute () |
The action to delete selected attributes Created in NX9.0.0. | |
void | EditConfigurationFile () |
Tha action to edit attribute spreadsheet Created in NX9.0.0. | |
void | NewAttribute () |
The action to new an attribute Created in NX9.0.0. | |
void | PasteAttribute () |
The action to paste copied attributes Created in NX9.0.0. | |
NXString | SelectAttributeSpreadsheet () |
Returns the selected attribute spreadsheet Created in NX9.0.0. | |
NXOpen::SelectNXObjectList * | SelectBody () |
Returns the select body Created in NX9.0.0. | |
NXOpen::SelectNXObjectList * | SelectBodyAccordingToAttribute () |
Returns the select body according to attribute Created in NX9.0.0. | |
NXOpen::SelectNXObjectList * | SelectComponent () |
Returns the selected objects Created in NX9.0.0. | |
NXOpen::SelectNXObjectList * | SelectComponentAccordingToAttribute () |
Returns the objects according to attributes Created in NX9.0.0. | |
NXOpen::ScCollector * | SelectFace () |
Returns the select face Created in NX9.0.0. | |
NXOpen::ScCollector * | SelectFaceAccordingToAttribute () |
Returns the faces according to attribute Created in NX9.0.0. | |
NXOpen::Tooling::ObjectAttributeManagementBuilder::FilterType | SelectionFilter () |
Returns the selection filter Created in NX9.0.0. | |
NXOpen::Tooling::ObjectAttributeManagementBuilder::FilterAccordingToAttributeType | SelectionFilterAccordingToAttribute () |
Returns the selection filter according to attribute Created in NX9.0.0. | |
void | SetAttributeOfRootPart (bool attributeOfRootPart) |
Sets the option whether to show attributes of root part Created in NX9.0.0. | |
void | SetAttributeTitles (const NXString &attributeTitles) |
Sets the attribute titles Created in NX9.0.0. | |
void | SetAttributeTitles (const char *attributeTitles) |
Sets the attribute titles Created in NX9.0.0. | |
void | SetAttributeValues (const NXString &attributeValues) |
Sets the attribute values Created in NX9.0.0. | |
void | SetAttributeValues (const char *attributeValues) |
Sets the attribute values Created in NX9.0.0. | |
void | SetSelectAttributeSpreadsheet (const NXString &fileName) |
Sets the selected attribute spreadsheet Created in NX9.0.0. | |
void | SetSelectAttributeSpreadsheet (const char *fileName) |
Sets the selected attribute spreadsheet Created in NX9.0.0. | |
void | SetSelectionFilter (NXOpen::Tooling::ObjectAttributeManagementBuilder::FilterType selectionFilter) |
Sets the selection filter Created in NX9.0.0. | |
void | SetSelectionFilterAccordingToAttribute (NXOpen::Tooling::ObjectAttributeManagementBuilder::FilterAccordingToAttributeType selectionFilterAccordingToAttribute) |
Sets the selection filter according to attribute Created in NX9.0.0. | |
void | SetShowTypeEnum (NXOpen::Tooling::ObjectAttributeManagementBuilder::ShowComponentsType showComponentsTypeEnum) |
Sets the show type enumeration Created in NX9.0.0. | |
void | SetToggleListDependents (bool toggleListDependents) |
Sets the option whether to list dependent components Created in NX9.0.0. | |
void | SetType (NXOpen::Tooling::ObjectAttributeManagementBuilder::ShowType type) |
Sets the type show objects or attributes Created in NX9.0.0. | |
void | SetWizardType (int wizardType) |
Sets the wizard type Created in NX9.0.0. | |
NXOpen::Tooling::ObjectAttributeManagementBuilder::ShowComponentsType | ShowTypeEnum () |
Returns the show type enumeration Created in NX9.0.0. | |
bool | ToggleListDependents () |
Returns the option whether to list dependent components Created in NX9.0.0. | |
NXOpen::Tooling::ObjectAttributeManagementBuilder::ShowType | Type () |
Returns the type show objects or attributes Created in NX9.0.0. | |
void | UndoButton () |
The action to undo last delete Created in NX9.0.0. | |
int | WizardType () |
Returns the wizard type Created in NX9.0.0. | |
![]() | |
NXOpen::NXObject * | Commit () |
Commits any edits that have been applied to the builder. | |
void | Destroy () |
Deletes the builder, and cleans up any objects created by the builder. | |
std::vector< NXOpen::NXObject * > | GetCommittedObjects () |
For builders that create more than one object, this method returns the objects that are created by commit. | |
NXOpen::NXObject * | GetObject () |
Returns the object currently being edited by this builder. | |
void | ShowResults () |
Updates the model to reflect the result of an edit to the model for all builders that support showing results. | |
virtual bool | Validate () |
Validate whether the inputs to the component are sufficient for commit to be called. | |
![]() | |
tag_t | GetTag () const |
<b>Deprecated</b>:<br> Use Tag instead. | |
tag_t | Tag () const |
Returns the tag of this object. | |
Tooling builder to assign and edit attributes of objects <br> To create a new instance of this class, use @link Tooling::ObjectAttributeManagementCollection::CreateObjectAttributeManagementBuilder Tooling::ObjectAttributeManagementCollection::CreateObjectAttributeManagementBuilder @endlink <br>
Default values.
Property | Value |
---|---|
AttributeOfRootPart |
0 |
SelectionFilter |
Component |
SelectionFilterAccordingToAttribute |
Component |
ShowTypeEnum |
ShowAllComponents |
ToggleListDependents |
0 |
Type |
ShowObjectAccordingToAttribute |
Created in NX9.0.0.
void NXOpen::Tooling::ObjectAttributeManagementBuilder::AddFromDataFileAttributeList | ( | ) |
The action to add selected attributes from attributes spreadsheet
Created in NX9.0.0.
License requirements : ug_mold_design ("UG MOLD") OR prog_die_wizard ("UG/Progressive Die Wizard")
bool NXOpen::Tooling::ObjectAttributeManagementBuilder::AttributeOfRootPart | ( | ) |
Returns the option whether to show attributes of root part
Created in NX9.0.0.
License requirements : None
NXString NXOpen::Tooling::ObjectAttributeManagementBuilder::AttributeTitles | ( | ) |
Returns the attribute titles
Created in NX9.0.0.
License requirements : None
NXString NXOpen::Tooling::ObjectAttributeManagementBuilder::AttributeValues | ( | ) |
Returns the attribute values
Created in NX9.0.0.
License requirements : None
void NXOpen::Tooling::ObjectAttributeManagementBuilder::CopyAttribute | ( | ) |
The action to copy selected attributes
Created in NX9.0.0.
License requirements : ug_mold_design ("UG MOLD") OR prog_die_wizard ("UG/Progressive Die Wizard")
void NXOpen::Tooling::ObjectAttributeManagementBuilder::DeleteAttribute | ( | ) |
The action to delete selected attributes
Created in NX9.0.0.
License requirements : ug_mold_design ("UG MOLD") OR prog_die_wizard ("UG/Progressive Die Wizard")
void NXOpen::Tooling::ObjectAttributeManagementBuilder::EditConfigurationFile | ( | ) |
Tha action to edit attribute spreadsheet
Created in NX9.0.0.
License requirements : ug_mold_design ("UG MOLD") OR prog_die_wizard ("UG/Progressive Die Wizard")
void NXOpen::Tooling::ObjectAttributeManagementBuilder::NewAttribute | ( | ) |
The action to new an attribute
Created in NX9.0.0.
License requirements : ug_mold_design ("UG MOLD") OR prog_die_wizard ("UG/Progressive Die Wizard")
void NXOpen::Tooling::ObjectAttributeManagementBuilder::PasteAttribute | ( | ) |
The action to paste copied attributes
Created in NX9.0.0.
License requirements : ug_mold_design ("UG MOLD") OR prog_die_wizard ("UG/Progressive Die Wizard")
NXString NXOpen::Tooling::ObjectAttributeManagementBuilder::SelectAttributeSpreadsheet | ( | ) |
Returns the selected attribute spreadsheet
Created in NX9.0.0.
License requirements : None
NXOpen::SelectNXObjectList* NXOpen::Tooling::ObjectAttributeManagementBuilder::SelectBody | ( | ) |
Returns the select body
Created in NX9.0.0.
License requirements : None
NXOpen::SelectNXObjectList* NXOpen::Tooling::ObjectAttributeManagementBuilder::SelectBodyAccordingToAttribute | ( | ) |
Returns the select body according to attribute
Created in NX9.0.0.
License requirements : None
NXOpen::SelectNXObjectList* NXOpen::Tooling::ObjectAttributeManagementBuilder::SelectComponent | ( | ) |
Returns the selected objects
Created in NX9.0.0.
License requirements : None
NXOpen::SelectNXObjectList* NXOpen::Tooling::ObjectAttributeManagementBuilder::SelectComponentAccordingToAttribute | ( | ) |
Returns the objects according to attributes
Created in NX9.0.0.
License requirements : None
NXOpen::ScCollector* NXOpen::Tooling::ObjectAttributeManagementBuilder::SelectFace | ( | ) |
Returns the select face
Created in NX9.0.0.
License requirements : None
NXOpen::ScCollector* NXOpen::Tooling::ObjectAttributeManagementBuilder::SelectFaceAccordingToAttribute | ( | ) |
Returns the faces according to attribute
Created in NX9.0.0.
License requirements : None
NXOpen::Tooling::ObjectAttributeManagementBuilder::FilterType NXOpen::Tooling::ObjectAttributeManagementBuilder::SelectionFilter | ( | ) |
Returns the selection filter
Created in NX9.0.0.
License requirements : None
NXOpen::Tooling::ObjectAttributeManagementBuilder::FilterAccordingToAttributeType NXOpen::Tooling::ObjectAttributeManagementBuilder::SelectionFilterAccordingToAttribute | ( | ) |
Returns the selection filter according to attribute
Created in NX9.0.0.
License requirements : None
void NXOpen::Tooling::ObjectAttributeManagementBuilder::SetAttributeOfRootPart | ( | bool | attributeOfRootPart | ) |
Sets the option whether to show attributes of root part
Created in NX9.0.0.
License requirements : ug_mold_design ("UG MOLD") OR prog_die_wizard ("UG/Progressive Die Wizard")
attributeOfRootPart | attributeofrootpart |
void NXOpen::Tooling::ObjectAttributeManagementBuilder::SetAttributeTitles | ( | const NXString & | attributeTitles | ) |
Sets the attribute titles
Created in NX9.0.0.
License requirements : ug_mold_design ("UG MOLD") OR prog_die_wizard ("UG/Progressive Die Wizard")
attributeTitles | attributetitles |
void NXOpen::Tooling::ObjectAttributeManagementBuilder::SetAttributeTitles | ( | const char * | attributeTitles | ) |
Sets the attribute titles
Created in NX9.0.0.
License requirements : ug_mold_design ("UG MOLD") OR prog_die_wizard ("UG/Progressive Die Wizard")
attributeTitles | attributetitles |
void NXOpen::Tooling::ObjectAttributeManagementBuilder::SetAttributeValues | ( | const NXString & | attributeValues | ) |
Sets the attribute values
Created in NX9.0.0.
License requirements : ug_mold_design ("UG MOLD") OR prog_die_wizard ("UG/Progressive Die Wizard")
attributeValues | attributevalues |
void NXOpen::Tooling::ObjectAttributeManagementBuilder::SetAttributeValues | ( | const char * | attributeValues | ) |
Sets the attribute values
Created in NX9.0.0.
License requirements : ug_mold_design ("UG MOLD") OR prog_die_wizard ("UG/Progressive Die Wizard")
attributeValues | attributevalues |
void NXOpen::Tooling::ObjectAttributeManagementBuilder::SetSelectAttributeSpreadsheet | ( | const NXString & | fileName | ) |
Sets the selected attribute spreadsheet
Created in NX9.0.0.
License requirements : ug_mold_design ("UG MOLD") OR prog_die_wizard ("UG/Progressive Die Wizard")
fileName | filename |
void NXOpen::Tooling::ObjectAttributeManagementBuilder::SetSelectAttributeSpreadsheet | ( | const char * | fileName | ) |
Sets the selected attribute spreadsheet
Created in NX9.0.0.
License requirements : ug_mold_design ("UG MOLD") OR prog_die_wizard ("UG/Progressive Die Wizard")
fileName | filename |
void NXOpen::Tooling::ObjectAttributeManagementBuilder::SetSelectionFilter | ( | NXOpen::Tooling::ObjectAttributeManagementBuilder::FilterType | selectionFilter | ) |
Sets the selection filter
Created in NX9.0.0.
License requirements : ug_mold_design ("UG MOLD") OR prog_die_wizard ("UG/Progressive Die Wizard")
selectionFilter | selectionfilter |
void NXOpen::Tooling::ObjectAttributeManagementBuilder::SetSelectionFilterAccordingToAttribute | ( | NXOpen::Tooling::ObjectAttributeManagementBuilder::FilterAccordingToAttributeType | selectionFilterAccordingToAttribute | ) |
Sets the selection filter according to attribute
Created in NX9.0.0.
License requirements : ug_mold_design ("UG MOLD") OR prog_die_wizard ("UG/Progressive Die Wizard")
selectionFilterAccordingToAttribute | selectionfilteraccordingtoattribute |
void NXOpen::Tooling::ObjectAttributeManagementBuilder::SetShowTypeEnum | ( | NXOpen::Tooling::ObjectAttributeManagementBuilder::ShowComponentsType | showComponentsTypeEnum | ) |
Sets the show type enumeration
Created in NX9.0.0.
License requirements : ug_mold_design ("UG MOLD") OR prog_die_wizard ("UG/Progressive Die Wizard")
showComponentsTypeEnum | showcomponentstypeenum |
void NXOpen::Tooling::ObjectAttributeManagementBuilder::SetToggleListDependents | ( | bool | toggleListDependents | ) |
Sets the option whether to list dependent components
Created in NX9.0.0.
License requirements : ug_mold_design ("UG MOLD") OR prog_die_wizard ("UG/Progressive Die Wizard")
toggleListDependents | togglelistdependents |
void NXOpen::Tooling::ObjectAttributeManagementBuilder::SetType | ( | NXOpen::Tooling::ObjectAttributeManagementBuilder::ShowType | type | ) |
Sets the type show objects or attributes
Created in NX9.0.0.
License requirements : ug_mold_design ("UG MOLD") OR prog_die_wizard ("UG/Progressive Die Wizard")
type | type |
void NXOpen::Tooling::ObjectAttributeManagementBuilder::SetWizardType | ( | int | wizardType | ) |
Sets the wizard type
Created in NX9.0.0.
License requirements : ug_mold_design ("UG MOLD") OR prog_die_wizard ("UG/Progressive Die Wizard")
wizardType | wizardtype |
NXOpen::Tooling::ObjectAttributeManagementBuilder::ShowComponentsType NXOpen::Tooling::ObjectAttributeManagementBuilder::ShowTypeEnum | ( | ) |
Returns the show type enumeration
Created in NX9.0.0.
License requirements : None
bool NXOpen::Tooling::ObjectAttributeManagementBuilder::ToggleListDependents | ( | ) |
Returns the option whether to list dependent components
Created in NX9.0.0.
License requirements : None
NXOpen::Tooling::ObjectAttributeManagementBuilder::ShowType NXOpen::Tooling::ObjectAttributeManagementBuilder::Type | ( | ) |
Returns the type show objects or attributes
Created in NX9.0.0.
License requirements : None
void NXOpen::Tooling::ObjectAttributeManagementBuilder::UndoButton | ( | ) |
The action to undo last delete
Created in NX9.0.0.
License requirements : ug_mold_design ("UG MOLD") OR prog_die_wizard ("UG/Progressive Die Wizard")
int NXOpen::Tooling::ObjectAttributeManagementBuilder::WizardType | ( | ) |
Returns the wizard type
Created in NX9.0.0.
License requirements : None